package cn.iocoder.yudao.module.member.api.score.dto;

import cn.iocoder.yudao.module.member.enums.ScoreOperateTypeEnum;
import cn.iocoder.yudao.module.member.enums.ScoreSourceTypeEnum;
import lombok.Builder;
import lombok.Data;
import lombok.ToString;

import java.util.List;
import java.util.Map;

@Data
@Builder
@ToString
public class MemberUserScoreBatchOperateReqDTO {
    /**
     * 会员id
     */
    private List<Long> memberIds;
    /**
     * 积分数量
     */
    private Integer scoreCount;
    /**
     * 积分来源
     */
    private ScoreSourceTypeEnum sourceType;
    /**
     * 人工操作时必传，其他来源不需要传
     */
    private ScoreOperateTypeEnum operateType;
    /**
     * 积分规则id
     */
    private Long ruleId;
    /**
     * 积分过期时间
     */
    private Integer expireDays;
    /**
     * 扩展参数
     */
    private Map<String, Object> extParam;
}
