package cn.iocoder.yudao.module.member.controller.app.auth.vo;

import cn.iocoder.yudao.framework.common.validation.InEnum;
import cn.iocoder.yudao.framework.common.validation.Mobile;
import cn.iocoder.yudao.module.system.enums.sms.SmsSceneEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotNull;

/**
 * @author Administrator
 */
@ApiModel("用户 APP - 发送邮箱验证码 Response VO")
@Data
@Accessors(chain = true)
public class AppEmailReqVO {

    @ApiModelProperty(value = "邮箱",required = true,example = "aaa@163.com")
    @Email(message = "incorrect email format")
    private String email;
}
