package cn.iocoder.yudao.module.member.service.memberUserScoreLog;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.member.dal.dataobject.memberUserScoreLog.MemberUserScoreLogDO;
import cn.iocoder.yudao.module.member.vo.memberUserScoreLog.MemberUserScoreLogBackVO;
import cn.iocoder.yudao.module.member.vo.memberUserScoreLog.MemberUserScoreLogCreateReq;
import cn.iocoder.yudao.module.member.vo.memberUserScoreLog.MemberUserScoreLogQueryVO;

/**
 * 会员积分日志 Service 接口
 *
 * @author 系统管理员
 */
public interface MemberUserScoreLogService extends IService<MemberUserScoreLogDO> {

    PageResult<MemberUserScoreLogBackVO> getPage(MemberUserScoreLogQueryVO query);

    Long createScoreLog(MemberUserScoreLogCreateReq createReq);
}
