package cn.iocoder.yudao.module.member.vo.scoreRule;

import cn.iocoder.yudao.module.member.vo.scoreRule.extra.ScoreRuleOrderVExtraVO;
import cn.iocoder.yudao.module.member.vo.scoreRule.extra.ScoreRuleRegisterExtraVO;
import cn.iocoder.yudao.module.member.vo.scoreRule.extra.ScoreRuleShareExtraVO;
import cn.iocoder.yudao.module.member.vo.scoreRule.extra.ScoreRulerRecommendExtraVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("管理后台 - 积分规则详细信息 Response VO")
public class ScoreRuleBackDetailVO extends ScoreRuleBackVO{
    @ApiModelProperty(value = "扩展字段原始")
    private String extra;
    @ApiModelProperty(value = "订单V值扩展字段")
    private ScoreRuleOrderVExtraVO extraOrderV;
    @ApiModelProperty(value = "注册扩展字段")
    private ScoreRuleRegisterExtraVO extraRegister;
    @ApiModelProperty(value = "推荐扩展字段")
    private ScoreRulerRecommendExtraVO extraRecommend;
    @ApiModelProperty(value = "分享扩展字段")
    private ScoreRuleShareExtraVO extraShare;
}
