package cn.iocoder.yudao.module.member.dal.mysql.memberUserScore;

import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.member.dal.dataobject.memberUserScore.MemberUserScoreDO;
import cn.iocoder.yudao.module.member.vo.memberUserScore.MemberUserScoreBackVO;
import cn.iocoder.yudao.module.member.vo.memberUserScore.MemberUserScoreQueryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 会员积分 Mapper
 * @author 系统管理员
 */
@Mapper
public interface MemberUserScoreMapper extends AbstractMapper<MemberUserScoreDO> {

    List<MemberUserScoreBackVO> getUserScoreList(@Param("start") int start,@Param("size") int size,@Param("query") MemberUserScoreQueryVO query);

    int countUserScore(@Param("query") MemberUserScoreQueryVO query);

    MemberUserScoreDO getByMemberId(@Param("memberId") Long memberId);
}
