package cn.iocoder.yudao.module.member.dal.mysql.memberUserScoreDetail;

import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.member.dal.dataobject.memberUserScoreDetail.MemberUserScoreDetailDO;
import cn.iocoder.yudao.module.member.dal.dataobject.memberUserScoreLog.MemberUserScoreLogDO;
import cn.iocoder.yudao.module.member.vo.memberUserScoreLog.MemberUserScoreLogBackVO;
import cn.iocoder.yudao.module.member.vo.memberUserScoreLog.MemberUserScoreLogQueryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.List;

/**
 * 会员积分详情 Mapper
 * @author 系统管理员
 */
@Mapper
public interface MemberUserScoreDetailMapper extends AbstractMapper<MemberUserScoreDetailDO> {

    Long getScoreTotalByStatus(@Param("memberId") Long memberId, @Param("statusList") Collection<Integer> statusList);
}
